curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signup": {
"email": "customer@example.com",
"phone_number": "+4799999999",
"total_number_of_transactions": "<string>",
"total_volume_of_transactions": "<string>",
"finance_number_of_transactions": "<string>",
"finance_volume_of_transactions": "<string>",
"industry": "computer industry",
"account_number": "12345678911",
"payment_options": [
{}
]
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank"
payload = { "signup": {
"email": "customer@example.com",
"phone_number": "+4799999999",
"total_number_of_transactions": "<string>",
"total_volume_of_transactions": "<string>",
"finance_number_of_transactions": "<string>",
"finance_volume_of_transactions": "<string>",
"industry": "computer industry",
"account_number": "12345678911",
"payment_options": [{}]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signup: {
email: 'customer@example.com',
phone_number: '+4799999999',
total_number_of_transactions: '<string>',
total_volume_of_transactions: '<string>',
finance_number_of_transactions: '<string>',
finance_volume_of_transactions: '<string>',
industry: 'computer industry',
account_number: '12345678911',
payment_options: [{}]
}
})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank"
payload := strings.NewReader("{\n \"signup\": {\n \"email\": \"customer@example.com\",\n \"phone_number\": \"+4799999999\",\n \"total_number_of_transactions\": \"<string>\",\n \"total_volume_of_transactions\": \"<string>\",\n \"finance_number_of_transactions\": \"<string>\",\n \"finance_volume_of_transactions\": \"<string>\",\n \"industry\": \"computer industry\",\n \"account_number\": \"12345678911\",\n \"payment_options\": [\n {}\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signup\": {\n \"email\": \"customer@example.com\",\n \"phone_number\": \"+4799999999\",\n \"total_number_of_transactions\": \"<string>\",\n \"total_volume_of_transactions\": \"<string>\",\n \"finance_number_of_transactions\": \"<string>\",\n \"finance_volume_of_transactions\": \"<string>\",\n \"industry\": \"computer industry\",\n \"account_number\": \"12345678911\",\n \"payment_options\": [\n {}\n ]\n }\n}")
.asString();{
"signup": {
"email": "customer@example.com",
"phone_number": "+4799999999",
"total_number_of_transactions": "<string>",
"total_volume_of_transactions": "<string>",
"finance_number_of_transactions": "<string>",
"finance_volume_of_transactions": "<string>",
"industry": "computer industry",
"account_number": "12345678911",
"payment_options": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"callback_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"events": [
{
"event": "signature_required",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "Vipps awaiting signature",
"metadata": {
"signature_link": "https://sig.example.com/K34K244"
}
}
],
"schema": 123,
"configuration": {
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"payment_product_codes": {
"instabank.finance": "630",
"instabank.invoice": "632"
},
"organization_number": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Instabank signup
Initialize Instabank signup
Requires the account company to be configured with organization_number
PUT /management/settings
scopes:
- admin:accounts
- write:accounts
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signup": {
"email": "customer@example.com",
"phone_number": "+4799999999",
"total_number_of_transactions": "<string>",
"total_volume_of_transactions": "<string>",
"finance_number_of_transactions": "<string>",
"finance_volume_of_transactions": "<string>",
"industry": "computer industry",
"account_number": "12345678911",
"payment_options": [
{}
]
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank"
payload = { "signup": {
"email": "customer@example.com",
"phone_number": "+4799999999",
"total_number_of_transactions": "<string>",
"total_volume_of_transactions": "<string>",
"finance_number_of_transactions": "<string>",
"finance_volume_of_transactions": "<string>",
"industry": "computer industry",
"account_number": "12345678911",
"payment_options": [{}]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
signup: {
email: 'customer@example.com',
phone_number: '+4799999999',
total_number_of_transactions: '<string>',
total_volume_of_transactions: '<string>',
finance_number_of_transactions: '<string>',
finance_volume_of_transactions: '<string>',
industry: 'computer industry',
account_number: '12345678911',
payment_options: [{}]
}
})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank"
payload := strings.NewReader("{\n \"signup\": {\n \"email\": \"customer@example.com\",\n \"phone_number\": \"+4799999999\",\n \"total_number_of_transactions\": \"<string>\",\n \"total_volume_of_transactions\": \"<string>\",\n \"finance_number_of_transactions\": \"<string>\",\n \"finance_volume_of_transactions\": \"<string>\",\n \"industry\": \"computer industry\",\n \"account_number\": \"12345678911\",\n \"payment_options\": [\n {}\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/instabank")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signup\": {\n \"email\": \"customer@example.com\",\n \"phone_number\": \"+4799999999\",\n \"total_number_of_transactions\": \"<string>\",\n \"total_volume_of_transactions\": \"<string>\",\n \"finance_number_of_transactions\": \"<string>\",\n \"finance_volume_of_transactions\": \"<string>\",\n \"industry\": \"computer industry\",\n \"account_number\": \"12345678911\",\n \"payment_options\": [\n {}\n ]\n }\n}")
.asString();{
"signup": {
"email": "customer@example.com",
"phone_number": "+4799999999",
"total_number_of_transactions": "<string>",
"total_volume_of_transactions": "<string>",
"finance_number_of_transactions": "<string>",
"finance_volume_of_transactions": "<string>",
"industry": "computer industry",
"account_number": "12345678911",
"payment_options": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"callback_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"events": [
{
"event": "signature_required",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "Vipps awaiting signature",
"metadata": {
"signature_link": "https://sig.example.com/K34K244"
}
}
],
"schema": 123,
"configuration": {
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"payment_product_codes": {
"instabank.finance": "630",
"instabank.invoice": "632"
},
"organization_number": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
9Body
Show child attributes
Show child attributes
Response
Instabank Connection
Show child attributes
Show child attributes
The date-time when the resource was created
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
The date-time when the resource was last updated
A set of key/value pairs that you can attach to a subscription object. It can be useful for storing additional information about the subscription in a structured format.
The status of the connection
pending, enabled, failed, declined List of events recorded, an event is created when the connection is updated with new status
Show child attributes
Show child attributes
The version of the schema used for the connection
Instabank configuration for the merchant
Show child attributes
Show child attributes